Skip to main content
PATCH
cURL

Authorizations

integration_id
string
header
required

Identifier of the integration (Auth v1)

secret
string
header
required

Secret of the organization (Auth v1)

x-api-key
string
header
required

API key (Auth v2)

Path Parameters

webhookEndpointId
string
required

Webhook endpoint identifier.

Body

application/json

Fields to update. At least one field is required.

name
string

Name of the webhook endpoint.

Example:

"Production endpoint"

url
string

HTTPS destination URL of the webhook endpoint.

Example:

"https://example.com/webhooks/fourvenues-v2"

events
enum<string>[]

Event types to subscribe to. Deduplicated automatically.

Available options:
ticket.sold,
ticket.refunded,
ticket.cancelled,
ticket.created,
payment.completed,
booking.created,
booking.changed,
booking.cancelled,
booking.payment_received
Example:

Response

HTTP OK

success
boolean
Example:

true

data
object